use $(DatabaseName);
GO
DECLARE @SQLVersion as int;
PRINT N'SQL productversion ' + 
	  CONVERT(VARCHAR(128), SERVERPROPERTY ('productversion')) + 
	  N'.';
SET @SQLVersion =
 CASE  
     WHEN CONVERT(VARCHAR(128), SERVERPROPERTY ('productversion')) like '8%' THEN 2000
     WHEN CONVERT(VARCHAR(128), SERVERPROPERTY ('productversion')) like '9%' THEN 2005
     WHEN CONVERT(VARCHAR(128), SERVERPROPERTY ('productversion')) like '10.0%' THEN 2008
     WHEN CONVERT(VARCHAR(128), SERVERPROPERTY ('productversion')) like '10.5%' THEN 2008
     WHEN CONVERT(VARCHAR(128), SERVERPROPERTY ('productversion')) like '11%' THEN 2012
     WHEN CONVERT(VARCHAR(128), SERVERPROPERTY ('productversion')) like '12%' THEN 2014
     WHEN CONVERT(VARCHAR(128), SERVERPROPERTY ('productversion')) like '13%' THEN 2016     
     WHEN CONVERT(VARCHAR(128), SERVERPROPERTY ('productversion')) like '14%' THEN 2017 
     WHEN CONVERT(VARCHAR(128), SERVERPROPERTY ('productversion')) like '15%' THEN 2019 
     ELSE 2020
  END
PRINT N'SQL version ' + 
	  RTRIM(CAST(@SQLVersion as nchar(4))) + 
	  N'.';
IF (@SQLVersion >= 2017)
BEGIN
PRINT N'Calling sp_add_trusted_assembly for the secRMM assemblies' 
EXEC sp_add_trusted_assembly 0x3A01637B7185C3CCC2B52A7D28CB8FDA8B9D2E6558C9C8E2A78B6F976EEDE40C309C8790ADC0FFF3EF22B257CE598CF6C6B3C2D6A41CF0A3840AE19E5E8BEE04, N'secRMMSQLScalarValuedFunction, Version=9.9.26.0, Culture=neutral, PublicKeyToken=5ac3daa574b4ca6d'
EXEC sp_add_trusted_assembly 0x90ACD10408B00D6EEFC23F702A5F537E9AEB2E3A2F4FFEA50C48379980E7CCD073EF05744826648AEF53E3916A212E7DCA8300C4E681E4BF620E94FB4BC02422, N'secRMMSQLTableValuedFunction, Version=9.9.28.0, Culture=neutral, PublicKeyToken=5ac3daa574b4ca6d'
END
